Package org.eclipse.cdt.core.dom.ast.gnu.cpp

# Interface IGPPASTPointer

All Superinterfaces:
  `IASTAttributeOwner`, `IASTNode`, `IASTPointer`, `IASTPointerOperator`

All Known Subinterfaces:
  `IGPPASTPointerToMember`

@Deprecated public interface IGPPASTPointer extends IASTPointer
Deprecated.
Use `IASTPointer`, instead.

Restriction:
  This interface is not intended to be referenced by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`IASTNode.CopyStyle`

## Field Summary

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTAttributeOwner

`ATTRIBUTE, ATTRIBUTE_SPECIFIER`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`EMPTY_NODE_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTPointerOperator

`EMPTY_ARRAY`

## Method Summary

Modifier and Type
Method
Description
`IGPPASTPointer`
`copy()`
Deprecated.
Returns a mutable copy of the tree rooted at this node.

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTAttributeOwner

`addAttribute, addAttributeSpecifier, getAttributes, getAttributeSpecifiers`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`accept, contains, getChildren, getContainingFilename, getFileLocation, getLeadingSyntax, getNodeLocations, getOriginalNode, getParent, getPropertyInParent, getRawSignature, getSyntax, getTrailingSyntax, getTranslationUnit, isActive, isFrozen, isPartOfTranslationUnitFile, setParent, setPropertyInParent`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTPointer

`copy, isConst, isRestrict, isVolatile, setConst, setRestrict, setVolatile`

## Method Details

### copy

IGPPASTPointer copy()
Deprecated.
Description copied from interface: `IASTNode`
Returns a mutable copy of the tree rooted at this node. The following postconditions hold:

     copy.getParent() == null
     copy.getPropertyInParent() == null
     copy.isFrozen() == false

Preprocessor nodes do not currently support being copied. Implicit name nodes are not copied, instead they can be regenerated if required.

Calling this method is equivalent to `copy(CopyStyle.withoutLocations)`.

Specified by:
  `copy` in interface `IASTNode`
Specified by:
  `copy` in interface `IASTPointer`
Specified by:
  `copy` in interface `IASTPointerOperator`
Since:
  5.1